aboutsummaryrefslogtreecommitdiffstats
path: root/tools/fs_mkdir.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/fs_mkdir.sh')
-rwxr-xr-xtools/fs_mkdir.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/tools/fs_mkdir.sh b/tools/fs_mkdir.sh
new file mode 100755
index 0000000..7a7e71f
--- /dev/null
+++ b/tools/fs_mkdir.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+set -e
+
+# @describe Create a new directory at the specified path.
+
+# @env FS_BASE_DIR=. The base dir
+# @option --path! The path of the directory to create
+
+main() {
+ path="$FS_BASE_DIR/$argc_path"
+ mkdir -p "$path"
+ echo "Directory created: $path"
+}
+
+eval "$(argc --argc-eval "$0" "$@")"